> ## Documentation Index
> Fetch the complete documentation index at: https://developer.notchpay.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List all transfers



## OpenAPI

````yaml openapi.yaml get /transfers
openapi: 3.1.0
info:
  title: Notch Pay API
  description: API for integrating payment and money transfer services into applications.
  version: 2.1.0
servers:
  - url: https://api.notchpay.co
    description: Production and Sandbox Environment
security: []
paths:
  /transfers:
    get:
      summary: List all transfers
      operationId: listTransfers
      parameters:
        - name: limit
          in: query
          description: Number of items per page
          schema:
            type: integer
            default: 30
        - name: page
          in: query
          description: Page number
          schema:
            type: integer
            default: 1
        - name: search
          in: query
          description: Search by reference
          schema:
            type: string
        - name: status
          in: query
          description: Filter by status
          schema:
            type: string
        - name: channels
          in: query
          description: Filter by transfer channels
          schema:
            type: string
        - name: date_start
          in: query
          description: Start date (YYYY-MM-DD)
          schema:
            type: string
            format: date
        - name: date_end
          in: query
          description: End date (YYYY-MM-DD)
          schema:
            type: string
            format: date
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                    example: 200
                  status:
                    type: string
                    example: OK
                  message:
                    type: string
                    example: Transfers retrieved
                  totals:
                    type: integer
                    example: 20
                  last_page:
                    type: integer
                    example: 1
                  current_page:
                    type: integer
                    example: 1
                  selected:
                    type: integer
                    example: 20
                  items:
                    type: array
                    items: 2a9fb11f-1a9c-4c55-96d6-2459175b4571
                required:
                  - code
                  - status
                  - message
                  - items
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: b29a71d3-4f97-40ed-a676-731aa1fbe742
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: b29a71d3-4f97-40ed-a676-731aa1fbe742
      security:
        - ApiKeyAuth: []
        - GrantAuth: []
        - SyncAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
    GrantAuth:
      type: apiKey
      in: header
      name: X-Grant
    SyncAuth:
      type: apiKey
      in: header
      name: X-Sync

````